# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: netris
Version: 0.52
Release: alt3

Summary: A free network version of Tetris
Summary(ru_RU.CP1251):    

License: GPL
Group: Games/Other
Url: ftp://ftp.netris.org/pub/netris/
Packager: Slava Semushin <php-coder@altlinux.ru>

Source0: ftp://ftp.netris.org/pub/netris/%name-%version.tar.gz
Source1: %name.menu

Patch0: %name-0.52-alt-warnings-Wall_fix.patch
Patch1: %name-0.52-alt-configure-tests_fix.patch

# Automatically added by buildreq on Wed Dec 14 2005
BuildRequires: libncurses-devel libtinfo-devel

%description
A free version of Tetris. This game uses ncurses library and can work
in console or pseudo-terminal. You can play against computer or on the
network against your friends.

%description -l ru_RU.CP1251
  .    ncurses  
       .   
   ,   .

%prep
%setup -q
patch -p1 < %PATCH0
patch -p1 < %PATCH1

%build
./Configure -O%_optlevel --cextra "%optflags -Werror"
%make_build

%install
install -pD -m 755 %name %buildroot%_gamesbindir/%name
install -pD -m 644 %SOURCE1 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc README FAQ robot_desc
%_gamesbindir/%name
%_menudir/%name

%changelog
* Sat Sep 09 2006 Slava Semushin <php-coder@altlinux.ru> 0.52-alt3
- Fixed build with gcc4 and -Werror
- Separate warnings-fix patch to configure-tests_fix and
  warnings-Wall_fix patches
- Enable _unpackaged_files_terminate_build
- Give compiler flags via Configure options
- Formatted %%description
- Changed my name in Packager tag

* Wed Jan 18 2006 php-coder <php-coder@altlinux.ru> 0.52-alt2
- Removed useless Summary and %%description in koi8-r and utf8 charsets
- Use %%def_enable instead of %%add_optflags for enable -Werror flag
- Dont use --silent and --no-print-directory options for make

* Mon Jan 02 2006 php-coder <php-coder@altlinux.ru> 0.52-alt1
- Initial build for ALT Linux Sisyphus
- Using -Werror flag for compiler by default

